## javanet.staxutils.events
Class BaseXMLEventAllocator

    java.lang.Object
      javanet.staxutils.events.BaseXMLEventAllocator

All Implemented Interfaces:
  XMLEventAllocator

Direct Known Subclasses:
  EventAllocator

    public abstract class BaseXMLEventAllocator

extends Object
implements XMLEventAllocator

Abstract base class for `XMLEventAllocator` implementations.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Constructor Summary
`BaseXMLEventAllocator()`

Method Summary
`XMLEvent` `allocate(XMLStreamReader reader)` Delegates allocation to the appropriate `allocateXXX` method.
`void` `allocate(XMLStreamReader reader, XMLEventConsumer consumer)`
`abstract Characters` `allocateCData(XMLStreamReader reader)`
`abstract Characters` `allocateCharacters(XMLStreamReader reader)`
`abstract Comment` `allocateComment(XMLStreamReader reader)`
`abstract DTD` `allocateDTD(XMLStreamReader reader)`
`abstract EndDocument` `allocateEndDocument(XMLStreamReader reader)`
`abstract EndElement` `allocateEndElement(XMLStreamReader reader)`
`abstract EntityReference` `allocateEntityReference(XMLStreamReader reader)`
`abstract Characters` `allocateIgnorableSpace(XMLStreamReader reader)`
`abstract ProcessingInstruction` `allocateProcessingInstruction(XMLStreamReader reader)`
`abstract StartDocument` `allocateStartDocument(XMLStreamReader reader)`
`abstract StartElement` `allocateStartElement(XMLStreamReader reader)`
`abstract Location` `createStableLocation(XMLStreamReader reader)`
`abstract NamespaceContext` `createStableNamespaceContext(XMLStreamReader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.stream.util.XMLEventAllocator
`newInstance`

Constructor Detail

### BaseXMLEventAllocator

    public BaseXMLEventAllocator()

Method Detail

### allocate

    public void allocate(XMLStreamReader reader,
                         XMLEventConsumer consumer)
                  throws XMLStreamException

  Specified by:
    `allocate` in interface `XMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocate

    public XMLEvent allocate(XMLStreamReader reader)
                      throws XMLStreamException

  Delegates allocation to the appropriate `allocateXXX` method.

  Specified by:
    `allocate` in interface `XMLEventAllocator`
  Throws:
    `XMLStreamException`

### allocateStartElement

    public abstract StartElement allocateStartElement(XMLStreamReader reader)
                                               throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateEndElement

    public abstract EndElement allocateEndElement(XMLStreamReader reader)
                                           throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateCharacters

    public abstract Characters allocateCharacters(XMLStreamReader reader)
                                           throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateCData

    public abstract Characters allocateCData(XMLStreamReader reader)
                                      throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateIgnorableSpace

    public abstract Characters allocateIgnorableSpace(XMLStreamReader reader)
                                               throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateEntityReference

    public abstract EntityReference allocateEntityReference(XMLStreamReader reader)
                                                     throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateComment

    public abstract Comment allocateComment(XMLStreamReader reader)
                                     throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateDTD

    public abstract DTD allocateDTD(XMLStreamReader reader)
                             throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateStartDocument

    public abstract StartDocument allocateStartDocument(XMLStreamReader reader)
                                                 throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateEndDocument

    public abstract EndDocument allocateEndDocument(XMLStreamReader reader)
                                             throws XMLStreamException

  Throws:
    `XMLStreamException`

### allocateProcessingInstruction

    public abstract ProcessingInstruction allocateProcessingInstruction(XMLStreamReader reader)
                                                                 throws XMLStreamException

  Throws:
    `XMLStreamException`

### createStableNamespaceContext

    public abstract NamespaceContext createStableNamespaceContext(XMLStreamReader reader)

### createStableLocation

    public abstract Location createStableLocation(XMLStreamReader reader)